Bug 255884 - Improve the website titles
Summary: Improve the website titles
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Website (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sergio Carlavilla Delgado
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-14 15:50 UTC by Guangyuan Yang
Modified: 2021-05-23 19:53 UTC (History)
2 users (show)

See Also:


Attachments
screenshot (11.52 KB, image/jpeg)
2021-05-14 15:50 UTC, Guangyuan Yang
no flags Details
Patch for books/articles (770 bytes, patch)
2021-05-17 09:26 UTC, Ceri Davies
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guangyuan Yang freebsd_committer 2021-05-14 15:50:24 UTC
Created attachment 224946 [details]
screenshot

The current template of the website has the following titles:

The FreeBSD Projects | About FreeBSD
The FreeBSD Projects | FreeBSD Logo

etc.

..which keeps the more interesting part at the back, and if you are using chrome/firefox, they might get truncated (see screenshot). IMO we should switch them around so they look like:

About FreeBSD | The FreeBSD Projects
Comment 1 Ceri Davies freebsd_committer 2021-05-14 19:14:56 UTC
Agree that unique info first would be good practice.
Comment 2 commit-hook freebsd_committer 2021-05-15 20:25:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/doc/commit/?id=0df4ceb98dd9895a7551b3ad3caad4111cdfc9e8

commit 0df4ceb98dd9895a7551b3ad3caad4111cdfc9e8
Author:     Sergio Carlavilla Delgado <carlavilla@FreeBSD.org>
AuthorDate: 2021-05-15 20:20:53 +0000
Commit:     Sergio Carlavilla Delgado <carlavilla@FreeBSD.org>
CommitDate: 2021-05-15 20:20:53 +0000

    Improve the website titles

    Change the website titles order.

    From:

    The FreeBSD Project | About FreeBSD

    To:

    About FreeBSD | The FreeBSD Project

    PR:             255884
    Submitted by:   ygy@

 website/themes/beastie/layouts/partials/site-head.html | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 3 Sergio Carlavilla Delgado freebsd_committer 2021-05-15 20:26:13 UTC
Fixed. Thanks!
Comment 4 Guangyuan Yang freebsd_committer 2021-05-17 00:32:40 UTC
(In reply to Sergio Carlavilla Delgado from comment #3)

The books still have the old titles:

The FreeBSD Project | Committer's Guide

IMO we should change them as well.
Comment 5 Ceri Davies freebsd_committer 2021-05-17 09:26:56 UTC
Created attachment 225017 [details]
Patch for books/articles
Comment 6 commit-hook freebsd_committer 2021-05-23 19:53:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/doc/commit/?id=8619f066537d36101d4f4d8a60ccb806a9c62275

commit 8619f066537d36101d4f4d8a60ccb806a9c62275
Author:     Ceri Davies <ceri@FreeBSD.org>
AuthorDate: 2021-05-23 19:50:24 +0000
Commit:     Sergio Carlavilla Delgado <carlavilla@FreeBSD.org>
CommitDate: 2021-05-23 19:50:24 +0000

    Improve the documentation titles

    Change the documentation titles order.

    From:

    The FreeBSD Project | Committer's Guide

    To:

    Committers'Guide | The FreeBSD Project

    PR:             255884
    Submitted by:   ygy@

 documentation/themes/beastie/layouts/partials/site-head.html | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 Sergio Carlavilla Delgado freebsd_committer 2021-05-23 19:53:46 UTC
Fixed.
Thanks for the patch.